services:
  wbx-env:
    build:
      context: context
      dockerfile: dev_wbx.Dockerfile
      labels:
        description: "Container to build and test the wallbox_sw project"
    environment:
      TZ: Europe/Madrid
      TERM: xterm
    image: wbx_dev_image
    privileged: true
    cap_add:
      - SYS_PTRACE
    tty: true
    ports:
      - "2222:22"
      - "3306:3306"
    container_name: wbx_dev_container
    volumes:
      - ./volumes/share:/home/user/share:Z
      - ~/.ssh/id_rsa:/home/user/.ssh/id_rsa:Z
version: "3.4"
